Skip to main content
GET
/
v4
/
core
/
syncs
/
{syncId}
/
jobs
List
curl --request GET \
  --url https://api.integrations.commenda.io/v4/core/syncs/{syncId}/jobs \
  --header 'api_key: <api-key>'
import requests

url = "https://api.integrations.commenda.io/v4/core/syncs/{syncId}/jobs"

headers = {"api_key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {api_key: '<api-key>'}};

fetch('https://api.integrations.commenda.io/v4/core/syncs/{syncId}/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "jobs": [
    {
      "id": "<string>",
      "retryCount": 123,
      "createdAt": "<string>",
      "recordsSynced": {},
      "parentJobId": {},
      "errorCode": {},
      "errorMessage": {},
      "errorResponse": {},
      "startTime": {},
      "endTime": {}
    }
  ],
  "count": 123,
  "next": {}
}

Authorizations

api_key
string
header
required

Your Commenda Integrations API key, sent in the api_key header.

Path Parameters

syncId
string
required

Query Parameters

limit
number
default:200
required
Required range: 1 <= x <= 500
cursor
string

Response

200 - application/json
jobs
object[]
required
count
number
required
next
object | null